{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in
# TODO: ménage
mkIf (cfg.internetSuite && cfg.graphical) {

# Paquets
environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Navigateur
    chromium
    firefox

    ## Mail & Discussion (texte, audio)
    clawsMail
    hexchat
    quassel
    quasselClient
    mumble
    pidgin
    thunderbird

    # Transfert de fichier
    filezilla
    transmission_gtk
    transmission_remote_gtk
  ];

  nixpkgs.config.packageOverrides = pkgs: {
    clawsMail = pkgs.clawsMail.override {
      enablePluginFancy = false; # nécessite wekitgtk qui est troué
      enablePluginPdf = true;
      enablePluginRavatar = true;
      enablePluginSmime = true;
      enablePluginVcalendar = true;
      enableSpellcheck = true;
    };
    mumble = pkgs.mumble.override { pulseSupport = true; };
  };

  #nixpkgs.config.permittedInsecurePackages = [
  #  "webkitgtk-2.4.11"       # pour que le plugin fancy de claws-mail fonctionne
  #];
}
