{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.developpement {

  # Paquets
  environment.systemPackages = with pkgs; [
    # C / C++
    gcc                 # pour les appels depuis les scripts

    # Gestion des sources
    cloc                # outil pour compter les lignes de code source
    git                 # déjà présent dans "base"
    mercurial
    subversion

    # Mono
    #mono46              # interpréteur .NET

    ## Visualisation & outils de diff
    #vbindiff           # diff de fichier hexadecimaux avec vim
  ];
}
