{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.edition-video {

  # Paquets
  environment.systemPackages = with pkgs; [
    ffmpeg-full   # assemblage de flux audio & video en ligne de commande
  ];

  nixpkgs.config.packageOverrides = pkgs: {
    ffmpeg-full = pkgs.ffmpeg-full.override {
      nonfreeLicensing = true;
      nvenc  = true;
    };
  };
}
