{ config, lib, pkgs, ... }:

{
  imports = [
    capgemini-cmb/default.nix
    /nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/modules/installer/cd-dvd/installation-cd-minimal.nix
    nixos-template-base/base.nix
  ];
  # Custom name
  isoImage.isoName = pkgs.lib.mkForce "${config.isoImage.isoBaseName}-capgemini-${config.system.nixosLabel}-${pkgs.stdenv.system}.iso";
  # Avoid having the terminal flooded by kernel audit messages
  boot.kernelParams = [ "audit=0" ];

  # Files to copy to the liveCD
  isoImage.contents = [
    {
      source = ./Makefile.installation;
      target = "/custom/Makefile";
    }
  ];
  environment.shellAliases = { nixos-generate-custom-config = "cd /iso/custom/ && make";};
  networking.hostName = "nixos-livecd.corp.capgemini.com";
}
