{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # installées systématiquement
    ./haveged.nix
    ./monitoring-munin.nix
    ./ssh.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./print.nix                     # configuration de base de cups
    ./docker.nix                # activer docker
    ./elasticsearch.nix     # service de stockage et recher de données
    ./hoogle.nix            # service hoogle pour haskell
    ./hydra-build.nix       # service de construction de paquet. -> la machine compile des paquets
    ./hydra-core.nix        # service pour l'instance d'hydra
    ./kibana.nix            # service de visualisation de données stockées dans elasticsearch
    ./locate.nix            # service locate
    ./virtualbox.nix            # activer virtualbox
    ./xmonad/xmonad.nix             # pour le gestionaire de fenêtre xmonad

    ## if isDesktop
    ./pulseaudio.nix        # activation du serveur audio
    ./scanner.nix          # utilisation d'un scanner
    ./x11.nix               # activation du serveur graphique X
  ];
}
